


<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    
    
    <meta http-equiv="X-UA-Compatible" content="IE=emulateIE7" />
    <title>Coverage for auth/authenticate.py: 88%</title>
    <link rel="stylesheet" href="style.css" type="text/css">
    
    <script type="text/javascript" src="jquery.min.js"></script>
    <script type="text/javascript" src="jquery.hotkeys.js"></script>
    <script type="text/javascript" src="jquery.isonscreen.js"></script>
    <script type="text/javascript" src="coverage_html.js"></script>
    <script type="text/javascript">
        jQuery(document).ready(coverage.pyfile_ready);
    </script>
</head>
<body class="pyfile">

<div id="header">
    <div class="content">
        <h1>Coverage for <b>auth/authenticate.py</b> :
            <span class="pc_cov">88%</span>
        </h1>

        <img id="keyboard_icon" src="keybd_closed.png" alt="Show keyboard shortcuts" />

        <h2 class="stats">
            24 statements &nbsp;
            <span class="run hide_run shortkey_r button_toggle_run">21 run</span>
            <span class="mis shortkey_m button_toggle_mis">3 missing</span>
            <span class="exc shortkey_x button_toggle_exc">0 excluded</span>

            
        </h2>
    </div>
</div>

<div class="help_panel">
    <img id="panel_icon" src="keybd_open.png" alt="Hide keyboard shortcuts" />
    <p class="legend">Hot-keys on this page</p>
    <div>
    <p class="keyhelp">
        <span class="key">r</span>
        <span class="key">m</span>
        <span class="key">x</span>
        <span class="key">p</span> &nbsp; toggle line displays
    </p>
    <p class="keyhelp">
        <span class="key">j</span>
        <span class="key">k</span> &nbsp; next/prev highlighted chunk
    </p>
    <p class="keyhelp">
        <span class="key">0</span> &nbsp; (zero) top of page
    </p>
    <p class="keyhelp">
        <span class="key">1</span> &nbsp; (one) first highlighted chunk
    </p>
    </div>
</div>

<div id="source">
    <table>
        <tr>
            <td class="linenos">
<p id="n1" class="stm run hide_run"><a href="#n1">1</a></p>
<p id="n2" class="pln"><a href="#n2">2</a></p>
<p id="n3" class="stm run hide_run"><a href="#n3">3</a></p>
<p id="n4" class="pln"><a href="#n4">4</a></p>
<p id="n5" class="pln"><a href="#n5">5</a></p>
<p id="n6" class="stm run hide_run"><a href="#n6">6</a></p>
<p id="n7" class="stm run hide_run"><a href="#n7">7</a></p>
<p id="n8" class="stm run hide_run"><a href="#n8">8</a></p>
<p id="n9" class="stm run hide_run"><a href="#n9">9</a></p>
<p id="n10" class="stm run hide_run"><a href="#n10">10</a></p>
<p id="n11" class="stm run hide_run"><a href="#n11">11</a></p>
<p id="n12" class="stm run hide_run"><a href="#n12">12</a></p>
<p id="n13" class="stm run hide_run"><a href="#n13">13</a></p>
<p id="n14" class="pln"><a href="#n14">14</a></p>
<p id="n15" class="pln"><a href="#n15">15</a></p>
<p id="n16" class="stm mis"><a href="#n16">16</a></p>
<p id="n17" class="pln"><a href="#n17">17</a></p>
<p id="n18" class="pln"><a href="#n18">18</a></p>
<p id="n19" class="stm run hide_run"><a href="#n19">19</a></p>
<p id="n20" class="stm run hide_run"><a href="#n20">20</a></p>
<p id="n21" class="stm run hide_run"><a href="#n21">21</a></p>
<p id="n22" class="stm run hide_run"><a href="#n22">22</a></p>
<p id="n23" class="stm run hide_run"><a href="#n23">23</a></p>
<p id="n24" class="stm run hide_run"><a href="#n24">24</a></p>
<p id="n25" class="stm run hide_run"><a href="#n25">25</a></p>
<p id="n26" class="stm run hide_run"><a href="#n26">26</a></p>
<p id="n27" class="stm run hide_run"><a href="#n27">27</a></p>
<p id="n28" class="stm run hide_run"><a href="#n28">28</a></p>
<p id="n29" class="stm run hide_run"><a href="#n29">29</a></p>
<p id="n30" class="stm mis"><a href="#n30">30</a></p>
<p id="n31" class="stm mis"><a href="#n31">31</a></p>

            </td>
            <td class="text">
<p id="t1" class="stm run hide_run"><span class="key">from</span> <span class="nam">http</span> <span class="key">import</span> <span class="nam">HTTPStatus</span><span class="strut">&nbsp;</span></p>
<p id="t2" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t3" class="stm run hide_run"><span class="key">import</span> <span class="nam">requests</span><span class="strut">&nbsp;</span></p>
<p id="t4" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t5" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t6" class="stm run hide_run"><span class="key">def</span> <span class="nam">authenticate</span><span class="op">(</span><span class="nam">base_url</span><span class="op">=</span><span class="str">"poc.primary157.com.br:82"</span><span class="op">,</span> <span class="op">**</span><span class="nam">kwargs</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t7" class="stm run hide_run">    <span class="key">assert</span> <span class="nam">kwargs</span><span class="op">[</span><span class="str">"access_token"</span><span class="op">]</span> <span class="key">is</span> <span class="key">not</span> <span class="key">None</span><span class="strut">&nbsp;</span></p>
<p id="t8" class="stm run hide_run">    <span class="key">assert</span> <span class="nam">kwargs</span><span class="op">[</span><span class="str">"uid"</span><span class="op">]</span> <span class="key">is</span> <span class="key">not</span> <span class="key">None</span><span class="strut">&nbsp;</span></p>
<p id="t9" class="stm run hide_run">    <span class="nam">response</span> <span class="op">=</span> <span class="nam">requests</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">f"http://{base_url}/api/auth_users/{kwargs['uid']}/?access_token={kwargs['access_token']}"</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t10" class="stm run hide_run">    <span class="key">if</span> <span class="nam">response</span><span class="op">.</span><span class="nam">ok</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t11" class="stm run hide_run">        <span class="key">return</span> <span class="nam">response</span><span class="op">.</span><span class="nam">json</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t12" class="stm run hide_run">    <span class="key">if</span> <span class="nam">response</span><span class="op">.</span><span class="nam">status_code</span> <span class="op">==</span> <span class="nam">HTTPStatus</span><span class="op">.</span><span class="nam">UNAUTHORIZED</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t13" class="stm run hide_run">        <span class="key">raise</span> <span class="nam">ValueError</span><span class="op">(</span><span class="strut">&nbsp;</span></p>
<p id="t14" class="pln">            <span class="str">f"Authentication Failed: wrong access_token ({kwargs['access_token']}) and uid({kwargs['uid']}) pair!"</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t15" class="pln">    <span class="key">else</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t16" class="stm mis">        <span class="key">raise</span> <span class="nam">RuntimeError</span><span class="op">(</span><span class="str">"Something went wrong during authentication!"</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t17" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t18" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t19" class="stm run hide_run"><span class="key">def</span> <span class="nam">authenticate_or_abort</span><span class="op">(</span><span class="nam">get</span><span class="op">,</span> <span class="nam">abort</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t20" class="stm run hide_run">    <span class="key">try</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t21" class="stm run hide_run">        <span class="nam">token</span> <span class="op">=</span> <span class="nam">get</span><span class="op">(</span><span class="str">"access_token"</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t22" class="stm run hide_run">        <span class="nam">uid</span> <span class="op">=</span> <span class="nam">get</span><span class="op">(</span><span class="str">"uid"</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t23" class="stm run hide_run">        <span class="nam">print</span><span class="op">(</span><span class="str">f"Token: {token}\nUID: {uid}"</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t24" class="stm run hide_run">        <span class="nam">_</span> <span class="op">=</span> <span class="nam">authenticate</span><span class="op">(</span><span class="nam">access_token</span><span class="op">=</span><span class="nam">token</span><span class="op">,</span> <span class="nam">uid</span><span class="op">=</span><span class="nam">uid</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t25" class="stm run hide_run">        <span class="key">return</span> <span class="nam">token</span><span class="op">,</span> <span class="nam">uid</span><span class="strut">&nbsp;</span></p>
<p id="t26" class="stm run hide_run">    <span class="key">except</span> <span class="op">(</span><span class="nam">KeyError</span><span class="op">,</span> <span class="nam">AssertionError</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t27" class="stm run hide_run">        <span class="nam">abort</span><span class="op">(</span><span class="nam">HTTPStatus</span><span class="op">.</span><span class="nam">UNAUTHORIZED</span><span class="op">,</span> <span class="str">"Missing access_token and/or uid Query Params"</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t28" class="stm run hide_run">    <span class="key">except</span> <span class="nam">ValueError</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t29" class="stm run hide_run">        <span class="nam">abort</span><span class="op">(</span><span class="nam">HTTPStatus</span><span class="op">.</span><span class="nam">UNAUTHORIZED</span><span class="op">,</span> <span class="str">"Invalid access_token/uid combination"</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t30" class="stm mis">    <span class="key">except</span> <span class="nam">RuntimeError</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t31" class="stm mis">        <span class="nam">abort</span><span class="op">(</span><span class="nam">HTTPStatus</span><span class="op">.</span><span class="nam">INTERNAL_SERVER_ERROR</span><span class="op">)</span><span class="strut">&nbsp;</span></p>

            </td>
        </tr>
    </table>
</div>

<div id="footer">
    <div class="content">
        <p>
            <a class="nav" href="index.html">&#xab; index</a> &nbsp; &nbsp; <a class="nav" href="https://coverage.readthedocs.io">coverage.py v4.5.4</a>,
            created at 2019-09-18 17:47
        </p>
    </div>
</div>

</body>
</html>
